Bug 427091 - No audio from the front speakers on intel core duo based iMac.
No audio from the front speakers on intel core duo based iMac.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 07:06 EST by Raffaele Candeliere
Modified: 2009-01-09 00:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raffaele Candeliere 2007-12-31 07:06:49 EST
Description of problem: No audio from integrated speakers on aluminium imac 20" 


Version-Release number of selected component (if applicable):
Audio hardware Intel IHC8 family plus ALC882/885 codecs
Processor: Intel core duo


How reproducible:
Try to play any sound leaving the external speaker connector unplugged

Steps to Reproduce:
1. Install from scratch FC8 (full dvd/iso image) with pulseudio
2. Run the system-config-utility and apply the changes
3. Try to play a sound
  
Actual results:
Leaving the jack unplugged should unmute the integrated speakers, letting thus
sound flow trough them


Expected results:
No audio. Sound is only (faintly) audible if ypu connect some amplified external
speakers.

Additional info:
Already searched forums. Nothing. Seems like if i were the only one to have this
problem. I also changed the /etc/asaound.conf file according to the "perfect
configuration" guide from the Pulse site but nothing.
According to what system-config-soundcard displays, the hardware is detected
correctly. I get no error message, neither from dmesg, nor from /var/log/messages.
The only error-like message i get is from MPlayer which complains abount beeing
unable to find a PC device if i don't change his settings to look for pulse
instead of alsa as audiosupport.
To tell the truth i've been able to get sound from the speakers only once. I had
just installed Fc8, without any sound coming from the speakers. Then i tried to
plug and unplug a couple times an amplified external speaker system, and sound
suddenly came out from the INTEGRATED speakers. No way to get sound from the
external speakers.
After that, for other reasons, i reinstalled fedora from scratch, but this time
every attempt to get sound trough the internal speakers has been vain.
It looks like if the driver stores some information somewhere about which
speaker pair is enabled, but there is no way through the NORMAL user interface
to modify this information. Furthermore, the hardware should mute/unmute the
speakers according to the external connector status. The driver, on contrary,
seems to prevent this.
Actually the problem doesn't seem to be only of Pulseaudio since any combination
of audio server in KDE or Gnome (OSS, Alsa, Enlightened, etc.) seems to produce
the same effect.
Could it be an alsa driver problem (snd-hda-intel)?

Thank you for the help.
Comment 1 Raffaele Candeliere 2008-01-06 16:41:10 EST
Hallo Mr Poetter.
I have some more information i forgot to add at the time of writing this bug report.
Actually, i upgraded the kernel from 2.6.23.1-42, which ships by default, to
2.6.23.8-63 because the former kernel release doesn't support my Radeon HD2600
graphic adapter.
Thus far, this is the only change made in comparison with a standard installation.
Furthermore, i noticed that some settings to the mixer are not taken into
account if made from within KDE (i have installed both Gnome and KDE). In
particular, the SPDIF out stays lit regardless of the sate of the control in the
KDE mixer's windows. The switch, on the contrary, can be toggled if handled with
the Gnome Applet. I daon't know if this may help...

Thank you again          
Comment 2 Raffaele Candeliere 2008-02-26 14:21:25 EST
Some more information about this Bug.
It seems to be something more related to the alsa driver then other. Actually i
upgraded the kernel from 2.6.23.8-63 to 2.6.23.14-107, which made my
/etc/asound.conf look now like this:

#Generated by system-config-soundcard
#If you edit this file, don't run system-config-soundcard,
#all your changes here could be lost.
#HWCONF
#DEV 0
pcm.!default { type plug slave {  pcm "hw:0,0" }}
ctl.!default { type hw card 0 }

instead of the old-style one, and added the option "model=imac24" to the
snd-hda-intel module in /etc/modprobe.conf (like this:
...
options snd-card-0 index=0
options snd-hda-intel index=0 model=imac24
...
), being able now to get some sound from the internal speakers.
No way, on the contrary, to get some sound from the external speakers (the
module's jack detection doesn't seem to work).
Actually, without the "model=imac24" option i can't get any sound at all
Also the mixer doesn't seem to work very well. There is a lot of stuff
(controls) missing: no cd volume control, no wave volume control, no line volume
control,...

By the way! I'm also experiencing, since the kernel upgrade the "arts: cpu
overload. Aborting!" bug. This happens more or less randomly, but more often
short after the login (with the kde splash sound enabled).

I hope this helps...

Best regards

Raffaele Candeliere  
Comment 3 Lennart Poettering 2008-03-28 16:27:19 EDT
Please user alsamixer -c0 and play around with your mixer settigns.

Use aplay -D hw:0 < /dev/urandom to generate a test sound.

This doesn't appear to be a PA issue. Reassigning to kernel.
Comment 4 Christof Kaelin 2008-07-29 09:06:22 EDT
Please see following patch:
http://kerneltrap.org/mailarchive/git-commits-head/2008/7/14/2478534
This should help at least to have the correct module-options automagically:

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=imac24

These options (as Raffaele mentioned earlier) do help indeed so far, but the
soundquality is bad. And if you want to use the internal microphone, you have to
play around with kernel-hacks or strange workarounds
like:http://www.jasonparekh.com/linux-on-macbook#microphone
or mine:
first try model=mbp3 (which means macbook pro 3) and you will be able to
activate microphone levels in kmix. Then log out KDE and reboot with reverting
model=imac24 => If you're lucky you can now test microphone with ekiga o.e.
Other workarounds are like: first define mic als input source 1 in kmix, then
switch to front-mic and then back again...
You see, this is getting a little bit esoteric now ;-)

I myself will wait for 2.6.26 or 27 or compile my own kernel + alsa 1.0.16 in
order to test the new features and the microphone.
Comment 5 Bug Zapper 2008-11-26 04:13:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christof Kaelin 2008-11-26 04:36:57 EST
I'd say close it, since the sound is working since about 2.6.25 (at medium quality which is the same as in OSX due to the low qualiti speakers ;-)
Comment 7 Bug Zapper 2009-01-09 00:39:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.